POST
/api/v1/nodes/{node_id}/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "sku_day_id": 1234}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "sku_day_id": 1234, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "sku_day_id": 1234 }),});console.log(await response.json());Converts the load balancer’s underlying node from hourly billing to a committed (reserved) plan. The node_id path parameter is the node_detail.node_id of the load balancer (from the List Load Balancers response). The committed term is selected by sku_day_id - use a committed_sku_id from the LB Plans response.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key for authenticating the request
Example
<API_KEY>location
required
string
Specifies the target location for the conversion operation.
Example
<LOCATION>Request Body
Section titled “Request Body”Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code of the conversion response
integer
data
Array<string>
errors
object
message
Message confirming the node was converted to a committed node
string
Example
{ "code": 200, "data": [ "" ], "message": "Your Node is converted into Committed Node"}